> For the complete documentation index, see [llms.txt](https://docs.craft.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.craft.co/alerts-api/getting-started/getting-started-with-javascript.md).

# Getting started with JavaScript

### Request code

To query the API, you can use any HTTP client of choice or any specialized GraphQL API Clients, like [graphql-request](https://github.com/prisma-labs/graphql-request), [urql](https://github.com/FormidableLabs/urql), or [Apollo](https://github.com/apollographql/apollo-client).

Using a client compatible with [Fetch API](https://developer.mozilla.org/en-US/docs/Web/API/Fetch_API), the request could be issued with the following code:

{% hint style="info" %}
Make sure to replace `<REPLACE_WITH_YOUR_KEY>` with your unique API key.
{% endhint %}

```typescript
const fetch = require('isomorphic-fetch');

const API_KEY = '<REPLACE_WITH_YOUR_KEY>';
const API_ENDPOINT = 'https://api.craft.co/v1/query';
const GRAPHQL_QUERY = /* GraphQL */`
    query getAlerts($first: Int!) { 
        alerts(first: $first) {
            id
            dataset
            variable
        }
    }
`;

requestHeaders = { 'Content-Type': 'application/json', 'x-craft-api-key': API_KEY };
requestData = { 'query': GRAPHQL_QUERY, 'variables': { 'first': 3 } };

const result = await fetch(API_ENDPOINT, {
    method: 'POST',
    headers: requestHeaders,
    body: JSON.stringify(requestData),
});

const { data, errors } = await result.json();

console.log(data);
```

### Response

The above command returns JSON structured like this:

```typescript
{
  "data": {
    "alerts": [
      {
        "id": "8da58037-d0b9-8365-75b4-6754aed4e9b0",
        "dataset": "news",
        "variable": "news_article"
      },
      {
        "id": "8489a57b-7be9-0364-a95d-65ad84ed430a",
        "dataset": "news",
        "variable": "news_article"
      },
      {
        "id": "8489a57b-7be9-0364-a90d-65ad84ed430a",
        "dataset": "news",
        "variable": "news_article"
      },
      ...
    ]
  }
}
```

#### Read more

* [Querying Alerts API](/alerts-api/alerts-api-queries.md)
* [Alerts API Reference](/alerts-api/alerts-api-reference.md)
* [Query examples](/alerts-api/query-examples.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.craft.co/alerts-api/getting-started/getting-started-with-javascript.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
